Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.api.model
Class AbstractResourceMethod

    java.lang.Object
      com.sun.jersey.api.model.AbstractMethod
          com.sun.jersey.api.model.AbstractResourceMethod

All Implemented Interfaces:
  AbstractModelComponent, Parameterized

Direct Known Subclasses:
  AbstractSubResourceMethod

    public class AbstractResourceMethod

extends AbstractMethod
implements Parameterized, AbstractModelComponent

Abstraction for a resource method

Constructor Summary
`AbstractResourceMethod(AbstractResource resource, java.lang.reflect.Method method, java.lang.String httpMethod, java.lang.annotation.Annotation[] annotations)`

Method Summary
`void` | `accept(AbstractModelVisitor visitor)`
`boolean` | `areInputTypesDeclared()`
`java.lang.annotation.Annotation[]` | `getAnnotations()`
`java.util.List<AbstractModelComponent>` | `getComponents()`
`AbstractResource` | `getDeclaringResource()`
`java.lang.String` | `getHttpMethod()`
`java.util.List<Parameter>` | `getParameters()`
`java.util.List<javax.ws.rs.core.MediaType>` | `getSupportedInputTypes()`
`java.util.List<javax.ws.rs.core.MediaType>` | `getSupportedOutputTypes()`
`void` | `setAreInputTypesDeclared(boolean declared)`
`java.lang.String` | `toString()`

Methods inherited from class com.sun.jersey.api.model.AbstractMethod
`getMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractResourceMethod

    public AbstractResourceMethod(AbstractResource resource,
                                  java.lang.reflect.Method method,
                                  java.lang.String httpMethod,
                                  java.lang.annotation.Annotation[] annotations)

Method Detail

### getDeclaringResource

    public AbstractResource getDeclaringResource()

### getSupportedInputTypes

    public java.util.List<javax.ws.rs.core.MediaType> getSupportedInputTypes()

### getSupportedOutputTypes

    public java.util.List<javax.ws.rs.core.MediaType> getSupportedOutputTypes()

### setAreInputTypesDeclared

    public void setAreInputTypesDeclared(boolean declared)

### areInputTypesDeclared

    public boolean areInputTypesDeclared()

### getHttpMethod

    public java.lang.String getHttpMethod()

### getParameters

    public java.util.List<Parameter> getParameters()

  Specified by:
    `getParameters` in interface `Parameterized`

### getAnnotations

    public java.lang.annotation.Annotation[] getAnnotations()

### accept

    public void accept(AbstractModelVisitor visitor)

  Specified by:
    `accept` in interface `AbstractModelComponent`

### getComponents

    public java.util.List<AbstractModelComponent> getComponents()

  Specified by:
    `getComponents` in interface `AbstractModelComponent`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.